Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1202805 (owncloud-client) - Review Request: owncloud-client - The ownCloud Client
Summary: Review Request: owncloud-client - The ownCloud Client
Keywords:
Status: CLOSED NEXTRELEASE
Alias: owncloud-client
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1214148 1214155 (view as bug list)
Depends On:
Blocks: qt-reviews 1178093
TreeView+ depends on / blocked
 
Reported: 2015-03-17 13:24 UTC by Nikos Roussos
Modified: 2015-09-18 18:31 UTC (History)
18 users (show)

Fixed In Version: 2.0.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-18 01:31:37 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nikos Roussos 2015-03-17 13:24:20 UTC
Spec URL: https://comzeradd.fedorapeople.org/specs/owncloud-client.spec
SRPM URL: https://comzeradd.fedorapeople.org/srpms/owncloud-client-1.8.0-2.fc21.src.rpm
Description: Owncloud-client enables you to connect to your private ownCloud Server. With it you can create folders in your home directory, and keep the contents of those folders synced with your ownCloud server. Simply copy a file into the directory and the ownCloud Client does the rest.
Fedora Account System Username: comzeradd

This is a renamed package. The old package is mirall ans is renamed to owncloud-client. The reason for that is that upstream renamed it.

Comment 1 Dams 2015-03-17 13:35:37 UTC
Thank you for opening the review bug.

Should ownclient-client-common obsolete mirall-common <= 1.8.0 ? (And ditto for -devel and -nautilus packages)

Comment 3 Paul Howarth 2015-03-27 09:13:39 UTC
Things I noticed from a quick look at the spec file:

The package does not need to provide itself:
Provides:       owncloud-client = %{version}-%{release}

Should the Obsoletes have associated Provides? Will the package be going to anywhere other than Rawhide?

The description and summary of the common sub-package need tidying up:
"...  common files for owncloud-client and owncloud-client ..."
(Summaries and Descriptions should also generally start with a capital letter)

Use %license rather than %doc for COPYING

There should be a virtual -static provide for the libhttpbf.a static library:
http://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

Comment 4 Dennis Gilmore 2015-03-27 18:01:56 UTC
a bug I noticed is that the client complains that it can not verify the ca for my server. even though firefox and everything else is able to validate it just fine.

Comment 5 Eugene A. Pivnev 2015-04-08 11:00:44 UTC
Another note: please remove (to be sure about 3rd-parties) src/3rdparty/:
* qjson
* qtlockedfile
* sqlite3

Comment 6 Nikos Roussos 2015-04-21 08:09:35 UTC
Fix minor issues mentioned above
SPEC: https://comzeradd.fedorapeople.org/specs/owncloud-client.spec
SRPM: https://comzeradd.fedorapeople.org/srpms/owncloud-client-1.8.0-3.fc21.src.rpm

(In reply to Eugene A. Pivnev from comment #5)
> Another note: please remove (to be sure about 3rd-parties) src/3rdparty/:
> * qjson
> * qtlockedfile
> * sqlite3

Can you elaborate on that. Remove them from where? On %install section?

Comment 7 Nikos Roussos 2015-04-22 07:56:21 UTC
*** Bug 1214148 has been marked as a duplicate of this bug. ***

Comment 8 Nikos Roussos 2015-04-22 07:56:49 UTC
*** Bug 1214155 has been marked as a duplicate of this bug. ***

Comment 9 Xavier Bachelot 2015-04-22 08:12:26 UTC
(In reply to Nikos Roussos from comment #6) 
> (In reply to Eugene A. Pivnev from comment #5)
> > Another note: please remove (to be sure about 3rd-parties) src/3rdparty/:
> > * qjson
> > * qtlockedfile
> > * sqlite3
> 
> Can you elaborate on that. Remove them from where? On %install section?

Remove them in the %prep section to make sure the bundled libs are not used for the build. There's already a line removing some : "rm -rf src/3rdparty/qtlockedfile src/3rdparty/qtsingleapplication"

Comment 10 Dams 2015-05-18 08:42:06 UTC
FTR, 1.8.1 has been released.

Comment 11 jibecfed 2015-07-12 14:10:02 UTC
Can you also make sure that we can find Owncloud Client in Software ? Before and after install.

Actually, before installing mirall manually, it was impossible to find it with searching "owncloud" in Software.

Can we have transparent upgrade from mirall to owncloud-client when available ?

Should I make bugs for those requests ?

Comment 12 Rex Dieter 2015-07-15 12:52:32 UTC
> Actually, before installing mirall manually, it was impossible to find it with searching "owncloud" in Software.

That requires appdata to be added (not currently included).  shouldn't be too hard to add, but it's not a review blocker.  see also:
https://fedoraproject.org/wiki/Packaging:Guidelines#AppData_files


> Can we have transparent upgrade from mirall to owncloud-client when available 

Yes, Obsoletes/Provides in the .spec here would handle that, and ensure things 'just work' as expected

Comment 14 Rex Dieter 2015-08-27 16:55:51 UTC
Lots of drive-by reviews, I guess I can do a formal review today to help out.

Comment 15 Rex Dieter 2015-08-27 17:13:00 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=10856900

Comment 16 hannes 2015-08-27 17:13:54 UTC
There's a new version 2 available, perhaps we could directly use this one?

Comment 17 Rex Dieter 2015-08-27 18:16:50 UTC
Updating whenever is fine, it's not a review blocker.  Can happen now or later.

Comment 18 Rex Dieter 2015-08-27 18:43:18 UTC
Here we go:


naming: ok mostly

1.  SHOULD:  I'd suggest naming -common as -libs instead, it's a more common practice.  And adjust dependencies accordingly

2.  SHOULD replace
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
...
with single/simpler glob:
%{_datadir}/icons/h%{_sysconfdir}/hicolor/*/apps/*

3. MUST fix dir ownership, you include:
%config  %{_sysconfdir}/ownCloud/sync-exclude.lst
but nothing owns the %{_sysconfdir}/ownCloud , please add
%dir %{_sysconfdir}/ownCloud

4. MUST fix obsoletes/provides.  you include Obsoletes: for mirall, but no matching provides, please add in the right places:

# main pkg:
Obsoletes: mirall < 1.8.0
Provides:  mirall = %{version}-%{release}
# -devel subpkg
Obsoletes: mirall-devel < 1.8.0
Provides:  mirall-devel = %{version}-%{release}
# -common/-libs subpkg, depending on 1 above
Obsoletes: mirall-common < 1.8.0
Provides:  mirall-common = %{version}-%{release}
# -nautilus subpkg, with fixed spelling
Obsoletes: mirall-nautilus < 1.8.0
Provides:  mirall-nautilus = %{version}-%{release}

(and move Obsoletes to match their subpkg locations)

sources: ok
ce82c234fca674062599b3ceb4ac50c6  owncloudclient-1.8.4.tar.xz

5. MUST validate appdata, add
BuildRequires: libappstream-glib
and to %check section:
appstream-util validate-relax --nonet %{buildroot}%{datadir}/appdata/%{name}.appdata.xml

6. MUST: -devel pkg includes static libs, so add to -devel pkg:
Provides: %{name}-static = %{version}-%{release}
(or alternatively, omit
%{_libdir}/libhttpbf.a
%{_includedir}/httpbf.h
 from packaging altogether if you're sure nothing else needs it)

7. MUST licensing: NOT ok.  looks like the stuff under csync/ dir is all LGPLv2+, and only the client code is GPLv2 (no +), so I'd recommend adding (including comments):
(main)
# -libs are LGPLv2+, rest GPLv2
License: LGPLv2+ and GPLv2
(in -libs/-devel subpkgs)
License: LGPLv2+


Please address all MUST items, and I think we're good to go.

Comment 19 Nikos Roussos 2015-08-31 08:55:12 UTC
Thanks for the review. I updated the spec. I think I fixed all of the above issues.

SPEC: https://comzeradd.fedorapeople.org/specs/owncloud-client.spec
SRPM: https://comzeradd.fedorapeople.org/srpms/owncloud-client-1.8.4-2.fc22.src.rpm

Comment 20 Rex Dieter 2015-08-31 17:01:59 UTC
Looking good, really close, thanks.


8. MUST remove extraneous
%package client
(there is no ownclient-client-client)

and move the 
Provides: mirall = 1.8.4
Obsoletes: mirall < 1.8.0
included there to the main pklg

9. SHOULD amend Provides to use %{version}-%{release} instead of hard-coded version, for example, change
Provides: mirall = 1.8.4
to
Provides: mirall = %{version}-%{release}

Comment 21 Rex Dieter 2015-08-31 17:07:15 UTC
for 8, specifically, remove the whole 
%package client
and
%description client
sections (if that wasn't clear)

Comment 22 Guillaume Kulakowski 2015-09-01 14:43:27 UTC
The ownClound client 2.0 is avalaible. The review could be based on the last version.

Comment 23 Rex Dieter 2015-09-01 14:47:19 UTC
yes it could, but it's not a requirement, see comment #16 and comment #17

Comment 25 Rex Dieter 2015-09-03 12:07:48 UTC
APPROVED

Comment 26 Nikos Roussos 2015-09-03 12:19:50 UTC
New Package SCM Request
=======================
Package Name: owncloud-client
Short Description: The ownCloud Client
Upstream URL: http://owncloud.org/sync-clients/
Owners: comzeradd
Branches: f21 f22 f23
InitialCC: anvil germano

Comment 27 Gwyn Ciesla 2015-09-03 12:48:05 UTC
Git done (by process-git-requests).

Comment 28 Fedora Update System 2015-09-03 15:50:17 UTC
owncloud-client-1.8.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14997

Comment 29 Fedora Update System 2015-09-03 15:54:35 UTC
owncloud-client-1.8.4-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14998

Comment 30 Fedora Update System 2015-09-03 15:56:12 UTC
owncloud-client-1.8.4-3.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14999

Comment 31 Fedora Update System 2015-09-04 06:52:59 UTC
owncloud-client-1.8.4-3.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update owncloud-client'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14999

Comment 32 Fedora Update System 2015-09-04 07:29:34 UTC
owncloud-client-1.8.4-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update owncloud-client'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14998

Comment 33 Fedora Update System 2015-09-04 07:33:39 UTC
owncloud-client-1.8.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update owncloud-client'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14997

Comment 34 Fedora Update System 2015-09-08 17:24:31 UTC
owncloud-client-2.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15376

Comment 35 Fedora Update System 2015-09-10 05:52:16 UTC
owncloud-client-2.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update owncloud-client'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15376

Comment 36 Fedora Update System 2015-09-10 21:19:37 UTC
owncloud-client-2.0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15569

Comment 37 Fedora Update System 2015-09-11 19:54:02 UTC
owncloud-client-2.0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update owncloud-client'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15569

Comment 38 Fedora Update System 2015-09-15 21:01:24 UTC
owncloud-client-2.0.1-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15945

Comment 39 Fedora Update System 2015-09-17 01:02:11 UTC
owncloud-client-2.0.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update owncloud-client'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15945

Comment 40 Fedora Update System 2015-09-18 01:31:34 UTC
owncloud-client-2.0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2015-09-18 18:31:35 UTC
owncloud-client-2.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.